# POST /api/v1/notes/{note_id}/reminders

> Schedule a reminder for a note

- **Tag:** notes
- **Operation ID:** `create_reminder_api_v1_notes__note_id__reminders_post`

## Description

Set a one-time or recurring notification reminder for a note. Pick a date/time and optionally set recurrence (daily, weekly, monthly).

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Parameters

- `note_id` (path, string, required)

## Request body

Schema: `ReminderCreateRequest`

- `scheduled_at` (string · date-time · required) — When to send the first notification (ISO 8601)
- `recurrence` (ReminderRecurrence) → `ReminderRecurrence` — How often to repeat: none, daily, weekly, monthly

## Responses

### 201 — Successful Response

Schema: `ReminderResponse`

- `id` (string · required)
- `note_id` (string · required)
- `scheduled_at` (string · date-time · required)
- `recurrence` (string · required)
- `is_active` (boolean · required)
- `last_sent_at` (string · date-time)
- `created_at` (string · date-time · required)

### 400 — Bad Request - Invalid input

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 404 — Not Found - Resource does not exist

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X POST 'https://api.ondayzero.com/api/v1/notes/{note_id}/reminders' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID' \
  -H 'Content-Type: application/json' \
  -d '{
  "scheduled_at": "2026-01-01T00:00:00Z"
}'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/notes/{note_id}/reminders', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
  "scheduled_at": "2026-01-01T00:00:00Z"
}),
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

payload = {
  "scheduled_at": "2026-01-01T00:00:00Z"
}

response = httpx.post("https://api.ondayzero.com/api/v1/notes/{note_id}/reminders", headers=headers, json=payload)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/notes/create-reminder
- OpenAPI slice: https://www.ondayzero.com/docs/reference/notes/create-reminder/openapi.json
- Other endpoints in **notes**: https://www.ondayzero.com/docs/reference/notes
